## INTRODUCTION

Piwik PRO Dashboard is a companion module for the Piwik PRO module.

It enables site administrators to view key analytics data directly within the Drupal admin interface.

Currently, the dashboard includes:

- Overview metrics: Visitors, Page Views, Returning Visitor Rate, Bounce Rate, Visitors Over Time, Page Views Over Time
- Top Pages
- Device Breakdown

The displayed data can be toggled between the last 7 or 30 days.

## REQUIREMENTS

- The Piwik Pro module needs to be installed and configured.
- The Key module needs to be installed.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION
The configuration for the Dashboard module can be found at /admin/config/services/piwik-pro/dashboard.

There are also new permissions that should be configured:
- "Administer Piwik PRO Dashboard": Allows setting the required API information.
- "Access Piwik PRO Dashboard": Allows viewing the dashboard and using the necessary API routes.

IMPORTANT:
To enable the dashboard, the site administrator must create an API key to obtain a Client ID and Client Secret. Remember to configure the base Piwik PRO module too.

The Client Secret should be securely stored using the Key module (more info: https://www.drupal.org/project/key).

The Client ID and Client Secret must be configured on the dashboard configuration page.

For more information about authentication with Piwik PRO, see the official documentation:
https://developers.piwik.pro/reference/authentication

## MAINTAINERS

Current maintainers for Drupal 10:

- Marc-André Leprohon (mleprohon) - https://www.drupal.org/u/mleprohon

